net.minecraft.client.resources

## Class LanguageManager

- java.lang.Object
- - net.minecraft.client.resources.LanguageManager

- All Implemented Interfaces:
    IResourceManagerReloadListener

      public class LanguageManager
      extends java.lang.Object
      implements IResourceManagerReloadListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Locale` | `currentLocale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageManager(IMetadataSerializer par1MetadataSerializer, java.lang.String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Language` | `getCurrentLanguage()`
    `java.util.SortedSet` | `getLanguages()`
    `boolean` | `isCurrentLanguageBidirectional()`
    `boolean` | `isCurrentLocaleUnicode()`
    `void` | `onResourceManagerReload(IResourceManager par1ResourceManager)`
    `void` | `parseLanguageMetadata(java.util.List par1List)`
    `void` | `setCurrentLanguage(Language par1Language)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentLocale

          protected static final Locale currentLocale

  - ### Constructor Detail

    - #### LanguageManager

          public LanguageManager(IMetadataSerializer par1MetadataSerializer,
                         java.lang.String par2Str)

  - ### Method Detail

    - #### parseLanguageMetadata

          public void parseLanguageMetadata(java.util.List par1List)

    - #### onResourceManagerReload

          public void onResourceManagerReload(IResourceManager par1ResourceManager)

      Specified by:
        `onResourceManagerReload` in interface `IResourceManagerReloadListener`

    - #### isCurrentLocaleUnicode

          public boolean isCurrentLocaleUnicode()

    - #### isCurrentLanguageBidirectional

          public boolean isCurrentLanguageBidirectional()

    - #### setCurrentLanguage

          public void setCurrentLanguage(Language par1Language)

    - #### getCurrentLanguage

          public Language getCurrentLanguage()

    - #### getLanguages

          public java.util.SortedSet getLanguages()